    import SpectatorSuperclass from 'kayn/lib/Endpoints/SpectatorEndpoint/SpectatorSuperclass.js'

public class | source

# SpectatorSuperclass

#### Extends:

Endpoint~Endpoint → SpectatorSuperclass

#### Direct Subclass:

CurrentGameEndpoint, FeaturedGamesEndpoint

## Constructor Summary

Public Constructor
public | constructor() |

## Member Summary

Public Members
public | serviceName: string |

## Public Constructors

### public constructor() source

## Public Members

### public serviceName: string source